Личные сообщения

Ваши переписки

Логотип сайта
главная правила форум опубликовать полезные сервисы услуги
вход или регистрация обратная связь

Мир шаблонов » Joomla » Joomla 3.0 FAQ (перевод)
0

Joomla 3.0 FAQ (перевод)

27-06-2013, 15:09 - seriy99 (Joomla)
Joomla 3.0 FAQ (перевод)


В чем основные различия между Joomla 2.5 и 3.0?

Самое заметное отличие – полностью обновленная система администрирования с современным дизайном, а также более простым и удобным интерфейсом. К тому же Joomla 3.0 теперь поддерживает любые мобильные устройства.

Много деталей Joomla, (например, новый инсталлятор, который вы увидите при создании новой установки Joomla 3.0), были улучшены и модернизированы. Наконец, Joomla 3.0, содержит массу полезных инструментов для разработчиков расширений, таких как поддержка Bootstrap и JQuery.

Как долго длится поддержка каждой версии?

Каждый базовый релиз Joomla поддерживается в течение 3 лет и включает в себя обновления в один клик. Например, в серии 2.x (которая включает версии 1.6 и 1.7) поддержка длится около 3 лет (с января 2011 года до весны 2014 года). Обновить версию 1.6 до 1,7, 17 до 2.5 можно было, всего лишь щелкнув на одну кнопку. Версия 2.5 будет поддерживаться до весны 2014 года. Таким образом, серия 2.x имеет чуть более трех лет поддержки и, в целом, удобна для пользователей и разработчиков расширений.

Серия 3.x будет поддерживаться также около 3-х лет. Обновление с версии 3.0 до 3.1 и до 3.5 можно выполнить с помощью одного клика, что обеспечит плавный переход для пользователей и разработчиков, так же как и в версии 2.x.

Поскольку временной цикл выпуска новых версий Joomla! обеспечивает относительно простой переход (для дополнительной информации см. FAQ ниже) между основными версиями (например, от 2.x к 3.x), пользователи получают дополнительные преимущества благодаря постоянной и бесперебойной поддержке при обновлениях от версии к версии.

Я создаю новый сайт. Что лучше использовать, Joomla 2.5 или 3.0?

Используйте версию 2.5, чтобы ощутить максимальную стабильность, которую может предложить Joomla, и/или если вы планируете использовать большое количество расширений. Установите версию 3.0, если все расширения, которые вы планируете использовать, совместимы с Joomla 3.0. Только некоторые провайдеры шаблонов и продавцы расширений будут поддерживать Joomla 3.0 на момент ее релиза, в то время как большинство будут готовы спустя лишь месяцы (для дополнительной информации см. FAQ ниже: «Где я могу найти расширения совместимые с Joomla 3.0?»).

Если я использую Joomla! 3.0, я смогу устанавливать расширения?

Да, вы сможете устанавливать расширения, совместимые с Joomla 3.0. В каталоге расширений Joomla (JED) будут находиться совместимые с Joomla 3.0 расширения, помеченные соответствующими значками. Кроме того, такие расширения можно найти на сайтах разработчиков.

Где я могу найти шаблонJoomla! 3.0?

Некоторые компании-разработчики будут предлагать шаблоны для Joomla 3.0 сразу или вскоре после релиза, поэтому вам необходимо обратиться непосредственно к ним. Некоторые компании уже объявили, что их шаблоны будут поддерживать Joomla 3 после релиза. Кроме того, следует отметить, что некоторые шаблоны Joomla 2.5 будут работать в Joomla 3.0 без каких-либо необходимых изменений. Лучше всего проконсультироваться по этому вопросу с разработчиками.

Где я могу найти расширения совместимые с Joomla! 3.0?

В каталоге расширений Joomla (JED) будут находиться совместимые с Joomla 3.0 расширения, обозначенные соответствующими значками, однако, лучшее всего поискать на сайтах разработчиков.

Будут ли расширения Joomla! 2.5 работать с Joomla! 3.0?

Родные расширения Joomla 2.5 должны без проблем работать на Joomla 3.0 с небольшими изменениями, либо вовсе без таковых. Наибольшее внимание необходимо будет уделить компонентам и шаблонам, в то время как модули и плагины должны работать без проблем (при условии, что они не используют устаревшие методы). Расширения, которые поддерживают Joomla 2.5 и 1.5 в одном пакете, вероятно, не будут работать, пока разработчики не обновят их для совместимости с Joomla 3.0.

В двух словах, все зависит от расширения. Joomla упрощает процесс для большинства расширений, однако с некоторыми могут возникнуть трудности. Для стопроцентной уверенности сообщите разработчикам, что вы хотите использовать их расширения на Joomla 3.0 и обратитесь к их документации.

Что если я хочу использовать расширение 2.5 на Joomla! 3.0?

Обратитесь к разработчику расширений, чтобы убедиться, что они планируют выпустить обновление этого расширения для Joomla 3.0 в ближайшем будущем. Разработчикам, возможно, придется внести некоторые изменения в зависимости от расширения.

Стоит ли обновлять Joomla! с 2.5 до 3.0?

В большинстве случаев, вероятно, нет. Joomla 2.5 будет поддерживаться до весны 2014 года, и вы сможете обновить Joomla до версии 3 после ее тщательного тестирования другими пользователями. Также можно дождаться релиза Joomla 3.5, который состоится через год, и обновить версию напрямую. Единственная причина, по которой необходимо обновить Joomla до версии 3 – это ее передовой функционал.

Я использую версию 2.5, но менеджер обновлений предлагает обновить Joomla! до версии 3.0. Стоит ли?

Нет, если вы не уверены на 1000%. По умолчанию, Joomla позволяет обновиться до версии 3.0, только после включения опции в меню обновления компонентов Joomla! (Администратор >> Компоненты >> Обновление Joomla! >> Опции >> Сервер обновлений >> Краткосрочная поддержка). Если по какой-то причине вы изменили эти настройки, или не хотите обновлять Joomla! до новой версии, измените параметр на «Долгосрочная поддержка». Теперь вы будете получать только обновления для Joomla 2.5.

Что будет после Joomla 3.0?

Через полгода состоится релиз Joomla 3.1. Это будет обновление в один клик, с обратной совместимостью. Если вы используете Joomla 3.0, просто обновите ее до версии 3.1 нажатием одной кнопки. Если вы все еще используете Joomla 2.5, вы можете подождать релиза Joomla 3.5 с возможностью прямого обновления.

Я хочу обновить Joomla. Как мне это сделать?

Во-первых, ознакомьтесь с системными требованиями для Joomla 3.0 и убедитесь, что ваш сервер отвечает этим требованиям.
Во-вторых, убедитесь, что все ваши расширения (особенно, шаблоны) совместимы с Joomla 3.0.
В-третьих, создайте тестовый сайт и проверьте обновления там.
В-четвертых, обратитесь к надежному разработчику, если вы не уверены в чем-то на 100%.
В-пятых, сделайте полную резервную копию вашего сайта (файлы и базы данных).

Далее перейдите в меню обновления компонентов Joomla!. Зайдите в настройки и измените параметр с Долгосрочная поддержка на Краткосрочная поддержка. Сохраните изменения. Должно появиться уведомление о наличии Joomla 3.0. Нажмите кнопку, чтобы начать установку. Очистите кэш браузера, чтобы просмотреть последние изменения. Вот и все!

Наконец, дважды проверьте и убедитесь, что все работает должным образом.

Примечание: Некоторые хосты, возможно, потребуют альтернативных методов обновления, например использования установщика расширений.

Если я использую Joomla 1.5 мой сайт перестанет работать? Перейти на 2.5 или 3.0?

Поддержка Joomla 1.5 официально подходит к концу. Означает ли это, что ваш сайт на базе 1.5 перестанет работать? Нет, ваш сайт будет продолжать работать как обычно. Однако, разработчики Joomla не будут выпускать новые версии для Joomla 1.5, и вы не будете получать исправления ошибок и безопасности. По этой причине рекомендуется обносить версию 1.5.

Переход с версии 2.5 на любую 3-ю версию относительно прост, так как Joomla упростила обновление до более новых версий. К сожалению, обновление с версии 1.5 является нетривиальной задачей. К счастью, есть два хороших расширения, которые значительно упрощают этот процесс: jUpgrade и SP Upgrade.

Вы можете обновиться сразу до Joomla 3.0 или сначала попробовать версию 2.5. И jUpgrade, и SP Upgrade поддерживают обновление до обеих версий. Более детально об обновлении версии 1.5 до Joomla 3.0/2.5 см. в документации расширений.

Установите версию 3.0, если все расширения, которые вы планируете использовать, совместимы с Joomla 3.0. Только некоторые разработчики шаблонов и расширений будут поддерживать Joomla 3.0 на момент ее релиза, в то время как большинство будут готовы спустя лишь месяцы (дополнительная информация в FAQ: «Где я могу найти расширения совместимые с Joomla 3.0?»).

Используйте версию 2.5, чтобы ощутить максимальную стабильность, которую может предложить Joomla, и/или если вы планируете использовать большое количество расширений.

Где я могу получить более подробную информацию о Joomla 3?

Более подробную информацию вы можете получить здесь: http://www.joomla.org


Мы надеемся, вам понравится Joomla 3! Спасибо за то, что обратились к нашему FAQ.

Авторы: Гэри Джей Брукс, Ник Савов, Элин Уоринг, Джон Нойбауэр, Гильермо Браво

Рецензенты: Салли Салливан, Майкл Бабкер, Андреа Тарр, Марк Декстер, Брайан Тиман

Переводчик: Ника Гук
Поделиться: Понравилась новость? Расскажи друзьям. Поблагодари проект!


Уважаемый посетитель нашего сайта! Вы зашли на сайт как незарегистрированный пользователь. Мы рекомендуем Вам зарегистрироваться либо войти на сайт под своим именем. Спасибо за внимание!

Тегиjoomla
Публикацию посмотрели 1433 раз(а) и написали 0 комментариев.

Похожие публикации

 Шаблон IT TheShop для Joomla 1.7 / 2.5 
IT TheShop — шаблон для Joomla, разработанный студией IceTheme...
 Catalyst v1.0.7 – YooTheme WordPress Theme 
Тема для WordPress - Catalyst v1.0.7 Check out “Catalyst” our stunning theme release for December 2011! Its unique and flexible design suits perfectly any kind of mobile gaming and PC or console game communities. The theme offers many custom...
 Шаблон Radiance для DLE 9.6  [Оригинал] 
Прекрасный бесплатный шаблон для DLE 9.6 подойдёт для оформления сайта на любую тематику. Имеет три цветовых гаммы. Автор: yootheme joomla / Darknull Движок (CMS): DLE 9.6 Основные цвета : три шаблона: оранжево-малиновый, синий и зеленый...
 Шаблон JA Fubix - QuickStart для Joomla 2.5, 3.0 
Шаблон JA Fubix выполнен в светлых тонах и идеально подойдет для создания крупного спортивного портала на футбольную тематику. Данный шаблон сделан студией JoomlArt, под CMS Joomla 2.5 и 3.0. В архиве вы найдете QuickStart, которые помогут увидеть...
 Шаблон BT Travel для Joomla 2.5 
BT Travel - функциональный шаблон туристической тематики для Joomla 2.5, разработанный дизайнерской студией BowThemes. Данный шаблон очень универсален поскольку поддерживает популярные сторонние расширения: компонент социальной сети JomSocial и...
Информация
Посетители, находящиеся в группе Гости, не могут оставлять комментарии к данной публикации.
разделы сайта

последние комментарии
  • Стас2056 25.11.2016
    ВИДЖЕТПАК 3.0 - 150 лучших вид ... (17)
    Стас2056-фото
    Настоящий адекватный ресурс, где админы и пользователи как одна команда! [right][/right]Спасибо!
  • seriy99 25.11.2016
    Factor - Multipurpose Landing ... (2)
    seriy99-фото
    Цитата: face2005
    архив весь битый

    Ничего не может быть бито! Смотря чем вы распаковуете и учитывайте длину - для этого достаточно переименовать папку с архивом шаблона например на 1 - перед тем как распаковуете, чтоб длина символов не влияла на распаковку, так как в архиве много папок и подпапок.
  • DenJo 24.11.2016
    OpenCart шаблон "StoreFlex" (3)
    DenJo-фото
    хороший шаблон, уже успел с ним поработать. layout builder полезная штука и моим клиентам понравились clients categories.
    жду апдейта)
  • face2005 24.11.2016
    Factor - Multipurpose Landing ... (2)
    face2005-фото
    архив весь битый
  • seriy99 21.11.2016
    Megatron - Responsive MultiPur ... (2)
    seriy99-фото
    Цитата: vikula
    А почему вместо Megatron на загрузке шаблон для OpenCart aquacart202 ???

    Исправлено. Megatron v2.2 – Responsive MultiPurpose WordPress Theme
поддержать проект
подписаться на новости
OpenCart
Подписаться на канал RSS Добавить сайт в закладки
популярные публикации
партнеры сайта

рекомендуем
Hosting Ukraine
© 2013-2016 mirshablonov.com